package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * 抵账统计表确认状态
 * 
 * @author kangzq 20190507
 *
 */
@AllArgsConstructor
public enum QsStatusEnum {

    // 签收失败
    A("0", "签收失败"),
    // 签收成功
    B("1", "签收成功");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (QsStatusEnum materialEnum : QsStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
